/**
* CPit class, pits and pit management
* @author Created and maintained by Roman Podobedov
* @version 1.0
*/

public class CPit
{
	int x, y;
	CPit next; // Next element
	int time_to_live;
	public int time_to_step;
	int sprite_num;
	boolean is_dead;
	
	/**
	* Constructor
	*/
	CPit()
	{
		next = null;
		time_to_live = 150;
		time_to_step = 10;
		sprite_num = 0;
		is_dead = false;
	}

	/**
	* Do one pit step (animation)
	* @param level - pointer to level
	*/
	public void DoStep(CLevel level)
	{
		if (time_to_live > 0) time_to_live--;
		if (time_to_live == 0)
		{
			if (time_to_step > 0) time_to_step--;
			if (time_to_step == 0)
			{
				sprite_num++; // Increase sprite
				if (sprite_num > 5) 
				{
					level.SetXY(x, y, (byte)1);
					is_dead = true;
					return;
				}
				time_to_step = 10;
			}
		}
	}
}

