/**
* CMan class, main hero implementation
* @author Created and maintained by Roman Podobedov
* @version 1.0
*/

public class CMan extends CHuman
{
	/**
	* Constructor
	*/
	CMan()
	{
		man_type = 0; // Man type = hero
	}

	/** 
	* Checks that level is complete
	* @return true - if level is complete, false - otherwise
	*/
	public boolean CheckLevelIsComplete(CLevel level)
	{
		RecalculateData();

		// Enemy is on top of level and level is on finishing stage???
		if (((m_pos_x/16)*16 == m_pos_x) && ((m_pos_y/16)*16 == m_pos_y)) // Human takes only one position
		{
			if ((level.on_finishing_stage) && (m_pos_y_cell == 0)) return true;
		}
		return false;
	}
}
